using System.ComponentModel;
using Hotline.Exams.Base;
using SqlSugar;

namespace Hotline.Exams.Trains
{
    /// <summary>
    /// 关联课件
    /// </summary>
    [Description("关联课件")]
    public class ExamTrainPracticeSourceware : ExamBusinessEntity
    {
        /// <summary>
        /// 试题Id
        /// </summary>
        [SugarColumn(ColumnDescription ="试题Id")]
        [Description("试题Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 课件Id
        /// </summary>
        [SugarColumn(ColumnDescription = "课件Id")]
        [Description("课件Id")]
        public string SourcewareId { get; set; }

        /// <summary>
        /// 培训习题Id
        /// </summary>
        [SugarColumn(ColumnDescription = "培训习题Id")]
        [Description("培训习题Id")]

        public string TrainPracticeId { get; set; }
    }
}
